Parselv1.0.0
Shipping Labels

List labels

Get all shipping labels for the current user.

GET
/shipping_labels

Authorization

authorization
AuthorizationBearer <token>

In: header

Query Parameters

page?integer

Page number

page_size?integer

Page size

Response Body

application/json

curl -X GET "https://api.parsel.app/shipping_labels?page=1&page_size=10"
[
  {
    "created_at": {},
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "label_url": "https://example.com/labels/123.pdf",
    "shipping_rate": {
      "carrier": "UPS",
      "estimated_delivery_date": {},
      "estimated_delivery_days": 3,
      "price": {
        "amount": 10,
        "currency": "USD"
      },
      "service": "Ground",
      "rate_metadata": {
        "billable_weight": 12,
        "surcharge_metadata": {
          "surcharge": {
            "amount": 2.5,
            "currency": "USD"
          },
          "surcharge_type": "DAS"
        },
        "surcharges_metadata": [
          {
            "surcharge": {
              "amount": 2.5,
              "currency": "USD"
            },
            "surcharge_type": "DAS"
          },
          {
            "surcharge": {
              "amount": 35,
              "currency": "USD"
            },
            "surcharge_type": "HANDLING"
          }
        ],
        "usps_zone": 5,
        "weight_metadata": {
          "actual_oz_weight": 10,
          "billable_oz_weight": 12,
          "dim_factor": 166,
          "dim_threshold": 1728,
          "volume": 1000
        }
      }
    },
    "status": "PRE_TRANSIT",
    "tracking_code": "1Z999AA10123456784",
    "updated_at": {}
  }
]